Anonymous Login
2019-10-20 19:14 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000386v1.3 Release (Closed)[All Projects] Generalpublic2010-03-31 22:43
Reporterpacho 
Assigned Tocaseydk 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.3 
Summary0000386: Updating Conatct Date of Birth fails
DescriptionWhen updating the data of birth field an exception is thrown.

AND: The DB-Admin User and PWD is revealed in the error message!!! This should NEVER be the case!
Additional InformationError message:
ERROR: C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php(1169) : query failed(UPDATE `contacts` SET `contact_first_name` = 'Oliver Th.', `contact_last_name` = 'Bethge', `contact_order_by` = 'Oliver Th. Bethge', `contact_title` = 'Dipl.-Ing.', `contact_job` = '', `contact_birthday` = '', `contact_company` = '1', `contact_department` = '4', `contact_type` = '', `contact_email` = 'Oliver.T.Bethge@med.uni-duesseldorf.de', `contact_email2` = '', `contact_phone` = '+49 211 81 04044', `contact_phone2` = '', `contact_fax` = '', `contact_mobile` = '', `contact_address1` = 'Moorenstraße 5', `contact_address2` = 'D05-IKT 13.53.-1.88', `contact_city` = 'Düsseldorf', `contact_state` = '', `contact_zip` = '40225', `contact_url` = '', `contact_icq` = '', `contact_aol` = '', `contact_yahoo` = '', `contact_msn` = '', `contact_jabber` = '', `contact_skype` = '', `contact_google` = '', `contact_notes` = '', `contact_project` = '0', `contact_country` = '', `contact_owner` = '3' WHERE contact_id = '76') - error was: Incorrect date value: '' for column 'contact_birthday' at row 1

Backtrace:

0 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php:1169 dprint('C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\w2p\\classes\\query.class.php',1169,0,'query failed(UPDATE `contacts` SET `contact_first_name` = \'Oliver Th.\', `contact_last_name` = \'Bethge\', `contact_order_by` = \'Oliver Th. Bethge\', `contact_title` = \'Dipl.-Ing.\', `contact_job` = \'\', `contact_birthday` = \'\', `contact_company` = \'1\', `contact_department` = \'4\', `contact_type` = \'\', `contact_email` = \'Oliver.T.Bethge@med.uni-duesseldorf.de\', `contact_email2` = \'\', `contact_phone` = \'+49 211 81 04044\', `contact_phone2` = \'\', `contact_fax` = \'\', `contact_mobile` = \'\', `contact_address1` = \'Moorenstraße 5\', `contact_address2` = \'D05-IKT 13.53.-1.88\', `contact_city` = \'Düsseldorf\', `contact_state` = \'\', `contact_zip` = \'40225\', `contact_url` = \'\', `contact_icq` = \'\', `contact_aol` = \'\', `contact_yahoo` = \'\', `contact_msn` = \'\', `contact_jabber` = \'\', `contact_skype` = \'\', `contact_google` = \'\', `contact_notes` = \'\', `contact_project` = \'0\', `contact_country` = \'\', `contact_owner` = \'3\' WHERE contact_id = \'76\') - error was: Incorrect date value: \'\' for column \'contact_birthday\' at row 1')

1 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php:1723 exec()

2 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\w2p.class.php:217 updateObject('contacts',CContact::__set_state(array(

   'contact_id' => '76',

   'contact_first_name' => 'Oliver Th.',

   'contact_last_name' => 'Bethge',

   'contact_order_by' => 'Oliver Th. Bethge',

   'contact_title' => 'Dipl.-Ing.',

   'contact_job' => '',

   'contact_birthday' => '',

   'contact_company' => '1',

   'contact_department' => '4',

   'contact_type' => '',

   'contact_email' => 'Oliver.T.Bethge@med.uni-duesseldorf.de',

   'contact_email2' => '',

   'contact_phone' => '+49 211 81 04044',

   'contact_phone2' => '',

   'contact_fax' => '',

   'contact_mobile' => '',

   'contact_address1' => 'Moorenstraße 5',

   'contact_address2' => 'D05-IKT 13.53.-1.88',

   'contact_city' => 'Düsseldorf',

   'contact_state' => '',

   'contact_zip' => '40225',

   'contact_url' => '',

   'contact_icq' => '',

   'contact_aol' => '',

   'contact_yahoo' => '',

   'contact_msn' => '',

   'contact_jabber' => '',

   'contact_skype' => '',

   'contact_google' => '',

   'contact_notes' => '',

   'contact_project' => '0',

   'contact_country' => '',

   'contact_icon' => NULL,

   'contact_owner' => '3',

   'contact_private' => NULL,

   'contact_updatekey' => NULL,

   'contact_lastupdate' => NULL,

   'contact_updateasked' => NULL,

   'contact_methods' =>

  array (

  ),

   '_tbl_prefix' => '',

   '_tbl' => 'contacts',

   '_tbl_key' => 'contact_id',

   '_error' => '',

   '_query' =>

  DBQuery::__set_state(array(

     'query' => NULL,

     'table_list' => NULL,

     'where' => NULL,

     'order_by' => NULL,

     'group_by' => NULL,

     'having' => NULL,

     'limit' => NULL,

     'offset' => -1,

     'join' => NULL,

     'type' => 'select',

     'update_list' => NULL,

     'value_list' => NULL,

     'create_table' => NULL,

     'create_definition' => NULL,

     'include_count' => false,

     '_table_prefix' => '',

     '_query_id' => NULL,

     '_old_style' => NULL,

     '_db' =>

    ADODB_mysql::__set_state(array(

       'databaseType' => 'mysql',

       'dataProvider' => 'mysql',

       'hasInsertID' => true,

       'hasAffectedRows' => true,

       'metaTablesSQL' => 'SHOW TABLES',

       'metaColumnsSQL' => 'SHOW COLUMNS FROM `%s`',

       'fmtTimeStamp' => '\'Y-m-d H:i:s\'',

       'hasLimit' => true,

       'hasMoveFirst' => true,

       'hasGenID' => true,

       'isoDates' => true,

       'sysDate' => 'CURDATE()',

       'sysTimeStamp' => 'NOW()',

       'hasTransactions' => false,

       'forceNewConnect' => false,

       'poorAffectedRows' => true,

       'clientFlags' => 0,

       'substr' => 'substring',

       'nameQuote' => '`',

       'compat323' => false,

       '_genIDSQL' => 'update %s set id=LAST_INSERT_ID(id+1);',

       '_genSeqSQL' => 'create table %s (id int not null)',

       '_genSeqCountSQL' => 'select count(*) from %s',

       '_genSeq2SQL' => 'insert into %s values (%s)',

       '_dropSeqSQL' => 'drop table %s',

       'database' => 'dotproject',

       'host' => 'localhost',

       'user' => 'root',

       'password' => '@admin1',

       'debug' => false,

       'maxblobsize' => 262144,

       'concat_operator' => '+',

       'length' => 'length',

       'random' => 'rand()',

       'upperCase' => 'upper',

       'fmtDate' => '\'Y-m-d\'',

       'true' => '1',

       'false' => '0',

       'replaceQuote' => '\\\'',

       'charSet' => false,

       'metaDatabasesSQL' => '',

       'uniqueOrderBy' => false,

       'emptyDate' => ' ',

       'emptyTimeStamp' => ' ',

       'lastInsID' => false,

       'hasTop' => false,

       'readOnly' => false,

       'genID' => 0,

       'raiseErrorFn' => false,

       'cacheSecs' => 3600,

       'memCache' => false,

       'memCacheHost' => NULL,

       'memCachePort' => 11211,

       'memCacheCompress' => false,

       'sysUTimeStamp' => false,

       'arrayClass' => 'ADORecordSet_array',

       'noNullStrings' => false,

       'numCacheHits' => 0,

       'numCacheMisses' => 0,

       'pageExecuteCountRows' => true,

       'uniqueSort' => false,

       'leftOuter' => false,

       'rightOuter' => false,

       'ansiOuter' => false,

       'autoRollback' => false,

       'fnExecute' => false,

       'fnCacheExecute' => false,

       'blobEncodeType' => false,

       'rsPrefix' => 'ADORecordSet_',

       'autoCommit' => true,

       'transOff' => 0,

       'transCnt' => 0,

       'fetchMode' => false,

       'null2null' => 'null',

       '_oldRaiseFn' => false,

       '_transOK' => NULL,

       '_connectionID' => NULL,

       '_errorMsg' => 'Incorrect date value: \'\' for column \'contact_birthday\' at row 1',

       '_errorCode' => false,

       '_queryID' => false,

       '_isPersistentConnection' => false,

       '_bindInputArray' => false,

       '_evalAll' => false,

       '_affected' => false,

       '_logsql' => false,

       '_transmode' => '',

       'databaseName' => 'dotproject',

    )),

     '_db_funcs' =>

    array (

      0 => 'NOW()',

    ),

  )),

)),'contact_id',false)

3 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\modules\contacts\contacts.class.php:114 store()

4 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\modules\contacts\do_contact_aed.php:48 store(CAppUI::__set_state(array(

   'state' =>

  array (

    'ProjIdxTab' => -1,

    'ProjIdxCompany' => '1',

    'ProjIdxOrderDir' => 'asc',

    'SAVEDPLACE-1' => 'm=admin&a=viewuser&user_id=76&tab=3',

    'SAVEDPLACE' => 'm=admin&a=viewuser&user_id=76&tab=4',

    'addProjWithTasks' => 0,

    'UsrProjIdxCompany' => '1',

    'UserVwTab' => 4,

    'ToDoTab' => 0,

    'TaskDayShowArc' => 0,

    'TaskDayShowLow' => 1,

    'TaskDayShowHold' => 0,

    'TaskDayShowDyn' => 0,

    'TaskDayShowPin' => 0,

    'TaskDayShowEmptyDate' => 0,

    'TaskListShowIncomplete' => 0,

    'ProjIdxOrderBy' => 'user_username',

    'ProjVwTab' => 0,

    'owner_filter_id' => 0,

    'CompaniesIdxTab' => 0,

    'dept_owner_filter_id' => 0,

    'DeptIdxDepartment' => '22',

    'DeptVwTab' => 0,

    'UsrProjIdxTab' => '3',

  ),

   'user_id' => '76',

   'user_first_name' => 'Oliver',

   'user_last_name' => 'Bethge',

   'user_company' => '1',

   'user_department' => '22',

   'user_email' => 'Oliver.T.Bethge@med.uni-duesseldorf.de',

   'user_type' => '0',

   'user_prefs' =>

  array (

    'LOCALE' => 'de_DE',

    'TABVIEW' => '0',

    'SHDATEFORMAT' => '%d.%m.%Y',

    'TIMEFORMAT' => '%H:%M',

    'UISTYLE' => 'web2project',

    'TASKASSIGNMAX' => '100',

    'USERFORMAT' => 'user',

    'CURRENCYFORM' => 'de_DE',

    'EVENTFILTER' => 'my',

    'MAILALL' => '0',

    'TASKLOGEMAIL' => '0',

    'TASKLOGSUBJ' => '',

    'TASKLOGNOTE' => '0',

    'TASKSEXPANDED' => '1',

  ),

   'day_selected' => NULL,

   'user_locale' => 'de',

   'user_lang' =>

  array (

    0 => 'de_DE.utf-8',

    1 => 'de',

    2 => 'de_DE',

    3 => 'de',

  ),

   'base_locale' => 'en',

   'msg' => 'Kontakt',

   'msgNo' => 0,

   'defaultRedirect' => '',

   'cfg' =>

  array (

    'locale_warn' => false,

  ),

   'version_major' => 1,

   'version_minor' => 2,

   'version_patch' => 2,

   'version_string' => '1.2.2',

   'last_insert_id' => '136',

   'user_style' => NULL,

   'user_is_admin' => 0,

   'objStore' => NULL,

   'project_id' => 0,

   'boxTopRendered' => false,

)))

5 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\index.php:253 require('C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\w2p\\modules\\contacts\\do_contact_aed.php')

ERROR: C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php(1169) : query failed(UPDATE `contacts` SET `contact_first_name` = 'Oliver Th.', `contact_last_name` = 'Bethge', `contact_order_by` = 'Oliver Th. Bethge', `contact_title` = 'Dipl.-Ing.', `contact_job` = '', `contact_birthday` = '', `contact_company` = '1', `contact_department` = '4', `contact_type` = '', `contact_email` = 'Oliver.T.Bethge@med.uni-duesseldorf.de', `contact_email2` = '', `contact_phone` = '+49 211 81 04044', `contact_phone2` = '', `contact_fax` = '', `contact_mobile` = '', `contact_address1` = 'Moorenstraße 5', `contact_address2` = 'D05-IKT 13.53.-1.88', `contact_city` = 'Düsseldorf', `contact_state` = '', `contact_zip` = '40225', `contact_url` = '', `contact_icq` = '', `contact_aol` = '', `contact_yahoo` = '', `contact_msn` = '', `contact_jabber` = '', `contact_skype` = '', `contact_google` = '', `contact_notes` = '', `contact_project` = '0', `contact_country` = '', `contact_owner` = '3', `contact_updatekey` = '' WHERE contact_id = '76') - error was: Incorrect date value: '' for column 'contact_birthday' at row 1

Backtrace:

0 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php:1169 dprint('C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\w2p\\classes\\query.class.php',1169,0,'query failed(UPDATE `contacts` SET `contact_first_name` = \'Oliver Th.\', `contact_last_name` = \'Bethge\', `contact_order_by` = \'Oliver Th. Bethge\', `contact_title` = \'Dipl.-Ing.\', `contact_job` = \'\', `contact_birthday` = \'\', `contact_company` = \'1\', `contact_department` = \'4\', `contact_type` = \'\', `contact_email` = \'Oliver.T.Bethge@med.uni-duesseldorf.de\', `contact_email2` = \'\', `contact_phone` = \'+49 211 81 04044\', `contact_phone2` = \'\', `contact_fax` = \'\', `contact_mobile` = \'\', `contact_address1` = \'Moorenstraße 5\', `contact_address2` = \'D05-IKT 13.53.-1.88\', `contact_city` = \'Düsseldorf\', `contact_state` = \'\', `contact_zip` = \'40225\', `contact_url` = \'\', `contact_icq` = \'\', `contact_aol` = \'\', `contact_yahoo` = \'\', `contact_msn` = \'\', `contact_jabber` = \'\', `contact_skype` = \'\', `contact_google` = \'\', `contact_notes` = \'\', `contact_project` = \'0\', `contact_country` = \'\', `contact_owner` = \'3\', `contact_updatekey` = \'\' WHERE contact_id = \'76\') - error was: Incorrect date value: \'\' for column \'contact_birthday\' at row 1')

1 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\query.class.php:1723 exec()

2 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\classes\w2p.class.php:217 updateObject('contacts',CContact::__set_state(array(

   'contact_id' => '76',

   'contact_first_name' => 'Oliver Th.',

   'contact_last_name' => 'Bethge',

   'contact_order_by' => 'Oliver Th. Bethge',

   'contact_title' => 'Dipl.-Ing.',

   'contact_job' => '',

   'contact_birthday' => '',

   'contact_company' => '1',

   'contact_department' => '4',

   'contact_type' => '',

   'contact_email' => 'Oliver.T.Bethge@med.uni-duesseldorf.de',

   'contact_email2' => '',

   'contact_phone' => '+49 211 81 04044',

   'contact_phone2' => '',

   'contact_fax' => '',

   'contact_mobile' => '',

   'contact_address1' => 'Moorenstraße 5',

   'contact_address2' => 'D05-IKT 13.53.-1.88',

   'contact_city' => 'Düsseldorf',

   'contact_state' => '',

   'contact_zip' => '40225',

   'contact_url' => '',

   'contact_icq' => '',

   'contact_aol' => '',

   'contact_yahoo' => '',

   'contact_msn' => '',

   'contact_jabber' => '',

   'contact_skype' => '',

   'contact_google' => '',

   'contact_notes' => '',

   'contact_project' => '0',

   'contact_country' => '',

   'contact_icon' => NULL,

   'contact_owner' => '3',

   'contact_private' => NULL,

   'contact_updatekey' => '',

   'contact_lastupdate' => NULL,

   'contact_updateasked' => NULL,

   'contact_methods' =>

  array (

  ),

   '_tbl_prefix' => '',

   '_tbl' => 'contacts',

   '_tbl_key' => 'contact_id',

   '_error' => '',

   '_query' =>

  DBQuery::__set_state(array(

     'query' => NULL,

     'table_list' => NULL,

     'where' => NULL,

     'order_by' => NULL,

     'group_by' => NULL,

     'having' => NULL,

     'limit' => NULL,

     'offset' => -1,

     'join' => NULL,

     'type' => 'select',

     'update_list' => NULL,

     'value_list' => NULL,

     'create_table' => NULL,

     'create_definition' => NULL,

     'include_count' => false,

     '_table_prefix' => '',

     '_query_id' => NULL,

     '_old_style' => NULL,

     '_db' =>

    ADODB_mysql::__set_state(array(

       'databaseType' => 'mysql',

       'dataProvider' => 'mysql',

       'hasInsertID' => true,

       'hasAffectedRows' => true,

       'metaTablesSQL' => 'SHOW TABLES',

       'metaColumnsSQL' => 'SHOW COLUMNS FROM `%s`',

       'fmtTimeStamp' => '\'Y-m-d H:i:s\'',

       'hasLimit' => true,

       'hasMoveFirst' => true,

       'hasGenID' => true,

       'isoDates' => true,

       'sysDate' => 'CURDATE()',

       'sysTimeStamp' => 'NOW()',

       'hasTransactions' => false,

       'forceNewConnect' => false,

       'poorAffectedRows' => true,

       'clientFlags' => 0,

       'substr' => 'substring',

       'nameQuote' => '`',

       'compat323' => false,

       '_genIDSQL' => 'update %s set id=LAST_INSERT_ID(id+1);',

       '_genSeqSQL' => 'create table %s (id int not null)',

       '_genSeqCountSQL' => 'select count(*) from %s',

       '_genSeq2SQL' => 'insert into %s values (%s)',

       '_dropSeqSQL' => 'drop table %s',

       'database' => 'dotproject',

       'host' => 'localhost',

       'user' => 'root',

       'password' => '@admin1',

       'debug' => false,

       'maxblobsize' => 262144,

       'concat_operator' => '+',

       'length' => 'length',

       'random' => 'rand()',

       'upperCase' => 'upper',

       'fmtDate' => '\'Y-m-d\'',

       'true' => '1',

       'false' => '0',

       'replaceQuote' => '\\\'',

       'charSet' => false,

       'metaDatabasesSQL' => '',

       'uniqueOrderBy' => false,

       'emptyDate' => ' ',

       'emptyTimeStamp' => ' ',

       'lastInsID' => false,

       'hasTop' => false,

       'readOnly' => false,

       'genID' => 0,

       'raiseErrorFn' => false,

       'cacheSecs' => 3600,

       'memCache' => false,

       'memCacheHost' => NULL,

       'memCachePort' => 11211,

       'memCacheCompress' => false,

       'sysUTimeStamp' => false,

       'arrayClass' => 'ADORecordSet_array',

       'noNullStrings' => false,

       'numCacheHits' => 0,

       'numCacheMisses' => 0,

       'pageExecuteCountRows' => true,

       'uniqueSort' => false,

       'leftOuter' => false,

       'rightOuter' => false,

       'ansiOuter' => false,

       'autoRollback' => false,

       'fnExecute' => false,

       'fnCacheExecute' => false,

       'blobEncodeType' => false,

       'rsPrefix' => 'ADORecordSet_',

       'autoCommit' => true,

       'transOff' => 0,

       'transCnt' => 0,

       'fetchMode' => false,

       'null2null' => 'null',

       '_oldRaiseFn' => false,

       '_transOK' => NULL,

       '_connectionID' => NULL,

       '_errorMsg' => 'Incorrect date value: \'\' for column \'contact_birthday\' at row 1',

       '_errorCode' => false,

       '_queryID' => false,

       '_isPersistentConnection' => false,

       '_bindInputArray' => false,

       '_evalAll' => false,

       '_affected' => false,

       '_logsql' => false,

       '_transmode' => '',

       'databaseName' => 'dotproject',

    )),

     '_db_funcs' =>

    array (

      0 => 'NOW()',

    ),

  )),

)),'contact_id',false)

3 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\modules\contacts\contacts.class.php:114 store()

4 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\modules\contacts\do_contact_aed.php:70 store(CAppUI::__set_state(array(

   'state' =>

  array (

    'ProjIdxTab' => -1,

    'ProjIdxCompany' => '1',

    'ProjIdxOrderDir' => 'asc',

    'SAVEDPLACE-1' => 'm=admin&a=viewuser&user_id=76&tab=3',

    'SAVEDPLACE' => 'm=admin&a=viewuser&user_id=76&tab=4',

    'addProjWithTasks' => 0,

    'UsrProjIdxCompany' => '1',

    'UserVwTab' => 4,

    'ToDoTab' => 0,

    'TaskDayShowArc' => 0,

    'TaskDayShowLow' => 1,

    'TaskDayShowHold' => 0,

    'TaskDayShowDyn' => 0,

    'TaskDayShowPin' => 0,

    'TaskDayShowEmptyDate' => 0,

    'TaskListShowIncomplete' => 0,

    'ProjIdxOrderBy' => 'user_username',

    'ProjVwTab' => 0,

    'owner_filter_id' => 0,

    'CompaniesIdxTab' => 0,

    'dept_owner_filter_id' => 0,

    'DeptIdxDepartment' => '22',

    'DeptVwTab' => 0,

    'UsrProjIdxTab' => '3',

  ),

   'user_id' => '76',

   'user_first_name' => 'Oliver',

   'user_last_name' => 'Bethge',

   'user_company' => '1',

   'user_department' => '22',

   'user_email' => 'Oliver.T.Bethge@med.uni-duesseldorf.de',

   'user_type' => '0',

   'user_prefs' =>

  array (

    'LOCALE' => 'de_DE',

    'TABVIEW' => '0',

    'SHDATEFORMAT' => '%d.%m.%Y',

    'TIMEFORMAT' => '%H:%M',

    'UISTYLE' => 'web2project',

    'TASKASSIGNMAX' => '100',

    'USERFORMAT' => 'user',

    'CURRENCYFORM' => 'de_DE',

    'EVENTFILTER' => 'my',

    'MAILALL' => '0',

    'TASKLOGEMAIL' => '0',

    'TASKLOGSUBJ' => '',

    'TASKLOGNOTE' => '0',

    'TASKSEXPANDED' => '1',

  ),

   'day_selected' => NULL,

   'user_locale' => 'de',

   'user_lang' =>

  array (

    0 => 'de_DE.utf-8',

    1 => 'de',

    2 => 'de_DE',

    3 => 'de',

  ),

   'base_locale' => 'en',

   'msg' => 'Kontakt',

   'msgNo' => 0,

   'defaultRedirect' => '',

   'cfg' =>

  array (

    'locale_warn' => false,

  ),

   'version_major' => 1,

   'version_minor' => 2,

   'version_patch' => 2,

   'version_string' => '1.2.2',

   'last_insert_id' => '136',

   'user_style' => NULL,

   'user_is_admin' => 0,

   'objStore' => NULL,

   'project_id' => 0,

   'boxTopRendered' => false,

)))

5 C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\w2p\index.php:253 require('C:\\Program Files\\Apache Software Foundation\\Apache2.2\\htdocs\\w2p\\modules\\contacts\\do_contact_aed.php')

TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000379closed If I modify a contact the it crashes the module 
+Relationships

-Notes

~0000768

caseydk (administrator)

Are you on 1.2.2? Have you applied the db updates?

The dbuser credentials should never be displayed..

~0000769

pacho (reporter)

Version is the latest stable release - 1.2.2 with all DB updates applied. Again, it happens when a previously setup user is trying to change some of his own contact information, leaving the date of birth field empty. Any idea?

~0000772

mikem (reporter)

The cause is that the birthday value is assigned an empty string in the store method, which is not valid for the column data type. I modified the contact::store method to set the value to null in this case (directly above line "addHistory ...".

    if ($this->contact_birthday == '')
    {
        $this->contact_birthday = null;
    }

~0000787

caseydk (administrator)

Resolved similar to solution provided in r978

~0000807

caseydk (administrator)

Closed in v1.3 release.
+Notes

-Issue History
Date Modified Username Field Change
2010-03-08 01:15 pacho New Issue
2010-03-08 04:26 caseydk Note Added: 0000768
2010-03-08 09:07 pacho Note Added: 0000769
2010-03-21 11:16 caseydk Project v1.2 Release (Closed) => v1.3 Release (Closed)
2010-03-22 08:12 mikem Note Added: 0000772
2010-03-22 09:54 caseydk Status new => assigned
2010-03-22 09:54 caseydk Assigned To => caseydk
2010-03-27 20:37 caseydk Relationship added has duplicate 0000379
2010-03-28 21:52 caseydk Note Added: 0000787
2010-03-28 21:52 caseydk Status assigned => resolved
2010-03-28 21:52 caseydk Resolution open => fixed
2010-03-31 22:42 caseydk Note Added: 0000807
2010-03-31 22:42 caseydk Status resolved => closed
2010-03-31 22:43 caseydk Fixed in Version => 1.3
+Issue History